Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 25 Nov 2014, 19:32
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Audacity 1.2.6 for Wary
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 1 of 1 Posts_count  
Author Message
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Wed 20 Jul 2011, 01:32    Post_subject:  Audacity 1.2.6 for Wary  

Please make a .pet of Audacity 1.2.6 for Wary (5.1.1), or direct me to a repo where I can get it. I have used mhWaveEdit for recording audio from the soundcard. This app requires an inconvenient physical connection between Speaker Out and Line In, which means you can't listen to what's being played. I suspect that, eventually, constantly connecting and disconnecting the ports on the sound card will cause them to wear out. It's a dreaded bore that I must silently monitor all the way through a track, at least once, to set the mixer (input levels) properly, which is a waste of time. Most importantly, I cannot overcome the white noise/static that is present in the final outcome. Audacity does not require a physical connection on the sound card. The end result does not have white noise or static. I would also suggest that there be another app in Puppy, in addition to mhWaveEdit, that performs sound card data stream capture in the same manner (caching?) as Audacity . Thanks

Audacity for GNU/Linux:
http://audacity.sourceforge.net/download/linux

compile Audacity from source code:
http://audacity.sourceforge.net/download/source#recdown

forum help for compiling Audacity:
http://forum.audacityteam.org/viewforum.php?f=19

Edited_time_total
Back to top
View user's profile Send_private_message 
don570


Joined: 10 Mar 2010
Posts: 3379
Location: Ontario

PostPosted: Thu 21 Jul 2011, 17:58    Post_subject: audacity  

Try these links

http://puppylinux.org/wikka/audacity/show?time=2011-07-12+08%3A25%3A03

____________________________________
Back to top
View user's profile Send_private_message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sun 31 Jul 2011, 10:34    Post_subject:  

I guess the OP got satisfied or him on travel or something.

I barely get what one are supposed to do after clicking on that link.

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send_private_message 
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Wed 03 Aug 2011, 02:33    Post_subject:  

I want Audacity 1.2.6, the latest stable version. The above link is for Audacity 1.3.12-f, which is beta. I'm still here, and I need Audacity 1.2.6 for Wary 5.1.1, as a .pet. The last time I compiled anything was modem drivers for Mandrake 9. Compiling is not a task I relish.
Back to top
View user's profile Send_private_message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 03 Aug 2011, 03:19    Post_subject:  

nubc , the forum is just that a forum of volunteer people helping each other out.

It is not a demand machine to force a Developer to provide things.

It is about give and take. If everybody only want to make use of others contribution then those who contribute start to feel drained and stop contributing.

Contributing has to be fun and feel good not something that is demanded.

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send_private_message 
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Wed 03 Aug 2011, 03:29    Post_subject:  

Quote:
Please make a .pet of Audacity 1.2.6 for Wary (5.1.1)

That's not a demand. This is the REQUESTS section for Additional Software.

http://www.murga-linux.com/puppy/viewtopic.php?p=419635&search_id=260638919#419635
preach (def) to exhort in an officious or tiresome manner. ["tiresome" as in repetitious]
hijacking a thread (def) when someone purposely transforms the OP topic into an off-topic mode in continuance posts to intentionally steal the thread and thus shows disrespect and causes unworthy off-topic disruptions.

Edited_time_total
Back to top
View user's profile Send_private_message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Wed 03 Aug 2011, 06:06    Post_subject:  

Then I apology. I am bad at reading tones in English. I did think you demanded this I apology. Requests is even in CAPITALS here

Quote:
Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS


So I made a complete fool of myself. I do apology!
Do go on with your legit REQUESTS

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send_private_message 
disciple

Joined: 20 May 2006
Posts: 6458
Location: Auckland, New Zealand

PostPosted: Fri 05 Aug 2011, 22:22    Post_subject: Re: Audacity 1.2.6 for Wary  

nubc wrote:
Please make a .pet of Audacity 1.2.6 for Wary (5.1.1), or direct me to a repo where I can get it. I have used mhWaveEdit for recording audio from the soundcard. This app requires an inconvenient physical connection between Speaker Out and Line In, which means you can't listen to what's being played.

Eh?
What do you require that cable for exactly? Are you trying to record sounds playing on your computer in another program? You can do that by selecting "Mix" as your capture device in alsamixer or retrovol or whatever your mixer application is. It works perfectly with mhWaveEdit (i.e. I just tested, and I can listen as it records). Perhaps you need to change the settings in mhWaveEdit. Try these settings:
Edit->Preferences->Sound->Driver = Alsa
Edit->Preferences->Sound->Driver->Settings->Playback device = default
Edit->Preferences->Sound->Driver->Settings->Recording device = default
Quote:
I would also suggest that there be another app in Puppy, in addition to mhWaveEdit, that performs sound card data stream capture in the same manner (caching?) as Audacity .

Anyway, in most cases you would be better off transcoding directly from the original file or stream to the format that you want, rather than converting it at 1x speed to the default output ALSA format, recording that (possibly into another slightly different format) and then later converting it into the format that you actually want.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!

Edited_time_total
Back to top
View user's profile Send_private_message 
disciple

Joined: 20 May 2006
Posts: 6458
Location: Auckland, New Zealand

PostPosted: Fri 05 Aug 2011, 22:28    Post_subject:  

Quote:
I want Audacity 1.2.6, the latest stable version. The above link is for Audacity 1.3.12-f, which is beta.

Personally I would recommend using the audacity betas, but you can do what you want. I haven't used the latest betas, but I've been using the older ones for years with no problem.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send_private_message 
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Mon 08 Aug 2011, 16:39    Post_subject:  

@ disciple
I'll give it a try, working with mhWaveEdit without a physical feedback loop, but I couldn't figure it out before. If you could describe your settings in detail, I might catch something I missed before. I'm encouraged that you say it can be done. I wonder if success depends on having a specially capable sound card?
Back to top
View user's profile Send_private_message 
disciple

Joined: 20 May 2006
Posts: 6458
Location: Auckland, New Zealand

PostPosted: Tue 09 Aug 2011, 02:58    Post_subject:  

Quote:
I wonder if success depends on having a specially capable sound card?

Oh, yes, it looks like that could potentially be your problem - I just saw someone mention that Audacity also has a "software playthrough" option in addition to the "hardware playthrough" option. Do you know if you have been using "software playthrough" in Audacity? I thought pretty much all soundcards support hardware playthrough, but I could be wrong.
If that is the problem, there would be other ways around it, but installing audacity is probably quicker and easier.
Quote:
If you could describe your settings in detail, I might catch something I missed before.
I think they are just what I already detailed, plus check in the mixer that all the relevant volumes are up and nothing is muted.
_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send_private_message 
BarryK
Puppy Master


Joined: 09 May 2005
Posts: 7082
Location: Perth, Western Australia

PostPosted: Wed 10 Aug 2011, 19:32    Post_subject:  

I won't be creating a PET of Audacity, as it uses the wxWidgets library, at least, I don't think that I ever will.

But, Wary has 'Sweep' in the repo, a sound recorder/editor, have you tried that?

_________________
http://bkhome.org/news/
Back to top
View user's profile Send_private_message Visit_website 
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Wed 10 Aug 2011, 23:00    Post_subject:  

Installed sweep with package manager.
Missing library: libsamplerate

Code:
# sweep
sweep: error while loading shared libraries: libsamplerate.so.0: cannot open shared object file: No such file or directory

EDIT: Grabbed the symlink (libsamplerate.so.0) and library (libsamplerate.so.0.1.1) off Classic Pup 2.14X. Sweep is working now.

Edited_times_total
Back to top
View user's profile Send_private_message 
disciple

Joined: 20 May 2006
Posts: 6458
Location: Auckland, New Zealand

PostPosted: Thu 11 Aug 2011, 02:00    Post_subject:  

Are you still waiting for an audacity package? There are a number of them around, so people might not be inclined to create another new package of an antiquated version, especially given the ridiculous lack of compatibility between different wxwidgets packages.

BTW the main reason why I would not use the "stable" audacity is that if you do have some sort of failure with it you can't easily recover your recording like you can with the newer betas.

_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send_private_message 
nubc


Joined: 23 Jan 2007
Posts: 1096
Location: USA

PostPosted: Thu 11 Aug 2011, 06:48    Post_subject:  

Since you say there are advantages to using the newer beta versions of Audacity, I don't have a problem with using them. Yes, I still want Audacity for Wary 5.1.1. As I mentioned above, I dread the tedium and loss of productivity when I capture stream off the sound card, so I have been putting off efforts. I'll get around to it soon, when I find a stopping place in my routine project.
Back to top
View user's profile Send_private_message 
Display_posts:   Sort by:   
Page 1 of 1 Posts_count  
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » REQUESTS
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0907s ][ Queries: 11 (0.0087s) ][ GZIP on ]